Package org.eclipse.graphiti.ui.platform

## Class PlatformImageProvider

- java.lang.Object
- - org.eclipse.graphiti.platform.AbstractExtension
  - - org.eclipse.graphiti.ui.platform.AbstractImageProvider
    - - org.eclipse.graphiti.ui.platform.PlatformImageProvider

All Implemented Interfaces:
  `IExtension`, `IImageProvider`

    public class PlatformImageProvider
    extends AbstractImageProvider

The Class PlatformImageProvider.

### Field Summary

Fields
`static java.lang.String` `ID`

### Constructor Summary

Constructors
`PlatformImageProvider()` Creates a new `PlatformImageProvider`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addAvailableImages()` Add all available images with addImageFilePath(String imageId, String imageFilePath);

### Methods inherited from class org.eclipse.graphiti.ui.platform.AbstractImageProvider

`addImageFilePath, getImageFilePath, getPluginId, setPluginId`

### Methods inherited from class org.eclipse.graphiti.platform.AbstractExtension

`getProviderId, setProviderId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformImageProvider

    public PlatformImageProvider()

Creates a new `PlatformImageProvider`.

### Method Detail

#### addAvailableImages

    protected void addAvailableImages()

Description copied from class: `AbstractImageProvider`
Add all available images with addImageFilePath(String imageId, String imageFilePath);

Specified by:
  `addAvailableImages` in class `AbstractImageProvider`